import { jsx } from "react/jsx-runtime";
import { TokenVIA as TokenVIA$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenVIA = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "VIA", "data-name": "TokenVIA", ...props, children: /* @__PURE__ */ jsx(TokenVIA$1, { variant }) });
  }
);
TokenVIA.displayName = "TokenVIA";
Object.assign(TokenVIA, { isGdsIcon: true });
export {
  TokenVIA
};
